Subject: Re: [payload] AD review of draft-ietf-payload-vp8-08

From: Richard Barnes <[email-masked]>
Date: Tue, 4 Jun 2013 15:14:50 -0400

Hi Patrik,

Thanks for following up on this.  Your explanation is much clearer (in
particular, it clarifies that the PictureID is for feedback only). I've
included one more revision below which I think clarifies a little further.
 Could you please add something like this to Section 4.4?

In the meantime, I'll go ahead and send this out for IETF LC.

Thanks,
--Richard

1. Collect all packets with a given RTP timestamp

2. Order the packets by sequence number.  If packets are missing, send NACK
or decode with missing partitions, see 4.x below.

3. Find the first packet with S=1 and partId=0.  This indicates the
beginning of a frame.

4. While there is more data in the stream, attempt to read a new frame:

4.1. Until reaching the end of the frame (a packet with the marker bit
set), reconstruct partitions:

4.1.1. Scan for the start of the next partition (S=1)

4.1.2. If loss is detected in the partition, discard all packets in this
partition

4.1.3. Otherwise, store the packets for this partition

4.2. Send all complete partitions to the decode.  If no complete partition
is found, discard the whole frame.

On Tue, May 21, 2013 at 11:22 AM, Patrik Westin <[email-masked]>wrote:

> This is how I think about it
>
> 1. Collect all packets with a given RTP timestamp
> 2. Go through packets in order, sorted by sequence numbers, if packets are
> missing, send NACK or decode with missing partitions, see 4.x below.
> 3. Complete frame is detected by no missing sequence numbers and first
> packet in the frame containing S=1 with partId=0 and the last packet in the
> frame having the marker bit set.
> 4.1 scan for the start of a new partition; S=1
> 4.2 continue scan to detect end of partition; hence a new S=1 (previous
> packet was the end of the partition) is found or the marker bit is set, if
> a loss it detected before the end of the partition abandon all packets in
> this partition and continue the scan repeating 4.1
> 4.3 store the packets in the complete partition continue the scan
> repeating 4.1 until end of frame is reached.
> 4.4 send all complete partitions  to the decoder, if no complete partition
> is found discard the whole frame.
>
>
> Regarding the minor issues:
> VP8 only support 8 partitions  hence 3-bits in the PartID field should
> therefor be enough.
>
> We have nothing that force the PictureID length to be fixed size during
> the session, the receiver must handle both cases so in practice it make no
> difference to the receiver. If the sender out of convenience want to keep
> the same length it's free to do so.
>
> _______________________________________________
> payload mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/payload
>
>